## sbuild 0.28

=== debian/changelog ===
sbuild (0.28) unstable; urgency=low

  * Using latest instead of lastest.
    (closes: #202740)
  * Changing dependencies in buildd.chroot for current gcc.
    (closes: #180447)
  * Configuration examples now moved into /usr/share/doc/sbuild/examples
    Man changed as consequence.
    (closes: #208965)
  * Policy bumped to 3.6.1.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 11 Nov 2003 16:21:33 +0100

sbuild (0.27) unstable; urgency=low

  * sg is not available in hurd, removed in postinst and postrm (patch by Michael Banck).
   (closes: #206270)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 20 Aug 2003 09:03:41 +0200

sbuild (0.26) unstable; urgency=low

  * Ugh! Wrong control file. Now really updated as needed.
    (closes: #191203)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 20 Jun 2003 15:54:11 +0200

sbuild (0.25) unstable; urgency=low

  * New maintainer.
    Uploaders: Roger Leigh <roger@whinlatter.uklinux.net>
    (closes: #191203)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 20 Jun 2003 15:17:25 +0200

sbuild (0.24) unstable; urgency=low

  * remove -qq from apt-get call in the updatechroot script
  * fix upgradechroot output and add -u to -y
  * added oldstable to distribution options
  * fix for dependency calculation for --arch-all builds from
    Martin Kgler (Closes: #180859)
  * libpng-dev => libpng12-0-dev in sbuild.conf
  * add dpkg-dev to package dependencies - thanks Michael Banck
    (Closes: #182234)
  * chroot building fix and waldi's patch still to come

 -- Rick Younie <younie@debian.org>  Sat, 19 Apr 2003 14:41:03 -0700

sbuild (0.23) unstable; urgency=low

  * fixed chroot building - thanks Matt Kraai for the patch and
    the heads-up - Closes: #167822
  * use separate stable and testing/unstable required lists
  * updated the ref-* package lists
  * added -o/oldstable option to the helper scripts and fixed
    their usage strings

 -- Rick Younie <younie@debian.org>  Wed,  6 Nov 2002 06:07:22 -0800

sbuild (0.22) unstable; urgency=low

  * dpkg --root isn't fixed so use ppack for the checkchroot
    script, recommend searchscripts instead of suggest
  * add a note to README.Debian and the man page that sbuild must be
    run in ~/build (or wherever the chroot-* symlink is) for sbuild
    to find the chroot (thanks Otavio)

 -- Rick Younie <younie@debian.org>  Sat, 14 Sep 2002 19:38:16 -0700

sbuild (0.21) unstable; urgency=low

  * the new dpkg has gone into testing so add dselect to the
    buildd.chroot required list there as well

 -- Rick Younie <younie@debian.org>  Mon, 19 Aug 2002 22:35:24 -0700

sbuild (0.20) unstable; urgency=low

  * added a note that the original tarball has to be in the sbuild work
    directory $CHROOT/build/<user> for an "sbuild --source" build
  * removed the old potato chroot description; it can be gotten from the
    woody version of the package if needed
  * have sbuild make a ~/build/current symlink to the current build log

 -- Rick Younie <younie@debian.org>  Sat, 17 Aug 2002 09:26:55 -0700

sbuild (0.19) unstable; urgency=low

  * ref-stable = woody
  * re-added deborphan, searchscripts Suggests
  * add a note about setting up .sbuildrc
  * have sbuild, chrapt ignore base apt.conf{,.d}
  * handle dpkg/dselect unstable split in buildd.chroot; copy over
    /etc/hosts to chroot

 -- Rick Younie <younie@debian.org>  Sat, 20 Jul 2002 06:26:05 -0700

sbuild (0.18) unstable; urgency=low

  * split ref-testing from ref-unstable instead of symlink as they
    differ now
  * unstable dpkg --root is broken currently so use ppack instead of
    dpkg for checkchroot
  * don't 'touch' downloaded source; in buildd context, buildd-watcher
    should use ctime not mtime to look for old files
  * add a blurb about using chrapt to finish off the chroot build, in
    case debootstrap doesn't quite get it right

 -- Rick Younie <younie@debian.org>  Sat, 20 Jul 2002 06:26:05 -0700

sbuild (0.17) unstable; urgency=low

  * removed debconf-utils from unstable reference list
  * include Ryan's sbuild changes to allow the buildds to
    autobuild for security
  * include Ryan's debootstrap script for chroot building
  * the SBUILD_CHROOT_ROOT environment variable is gone.  The chroots
    are now found by the ~/build/chroot-$DIST symlinks or absolute path.
  * moved the helper scripts to /usr/lib/sbuild
  * wrong switch so the 0.5 changelog was skipped; again, Closes: #138915
  * create blank source-dependencies files on install

 -- Rick Younie <younie@debian.org>  Thu, 11 Jul 2002 01:22:56 -0700

sbuild (0.6) unstable; urgency=low

  * added dobuildlog, a shell script for processing build logs:
    file a bug, sign the changelog, reply to buildd if you're
    an admin
  * recommend fakeroot instead of depend as some arches don't have
    it.  (Closes: #145753)

 -- Rick Younie <younie@debian.org>  Fri,  3 May 2002 22:22:41 -0700

sbuild (0.5) unstable; urgency=low

  * fix copyright file lintian errors
  * added ~/.wgetrc warning to man update-sourcedeps man page,
    Closes: #138915

 -- Rick Younie <younie@debian.org>  Wed, 10 Apr 2002 00:27:25 -0700
