=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: extra
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
-Uploaders: Roger Leigh <rleigh@debian.org>
+Uploaders: Roger Leigh <rleigh@debian.org>, Michael Banck <mbanck@debian.org>
 Build-Depends-Indep: debhelper (>> 2.0.0)
 Standards-Version: 3.6.1
 
 Package: sbuild
 Architecture: all
-Depends: ${perl:Depends}, adduser, apt, exim | mail-transport-agent, sudo, dpkg-dev
-Recommends: fakeroot, debootstrap, searchscripts
+Depends: ${perl:Depends}, adduser, apt, exim4 | mail-transport-agent, sudo, dpkg-dev, grep-dctrl
+Recommends: fakeroot, debootstrap
 Suggests: wget, deborphan
 Description: Tool for building Debian binary packages from Debian sources
  sbuild is part of a suite of programs -- consisting of
