## sbuild 0.43bpo

=== debian/changelog ===
sbuild (0.43bpo) sarge-backports; urgency=low

  * Backport for backports.org.

 -- Roger Leigh <rleigh@debian.org>  Mon,  1 May 2006 10:01:23 +0100

sbuild (0.44) unstable; urgency=low

  * avg-pkg-build-time: Use Sbuild::Conf.
  * bin/checkchroot: Convert to Perl, using Sbuild::Utility.
  * bin/chrapt: Convert to Perl, using Sbuild::Utility.
  * bin/chr-hold: Convert to Perl, using Sbuild::Utility.
  * bin/chr-unhold: Convert to Perl, using Sbuild::Utility.
  * bin/gochroot: Convert to Perl, using Sbuild::Utility.
  * bin/updatechroot:
    - Convert to Perl, using Sbuild::Utility.
    - chrapt is no longer used (Closes: #355035).
    - Sbuild::Chroot is used for chroot access:
      + Suite names are no longer hardcoded (Closes: #355037).
      + APT Options are set correctly (Closes: #355038).
  * bin/upgradechroot: Convert to Perl, using Sbuild::Utility.
  * bin/common_functions: Remove; this is no longer used.
  * sbuild:
    - Treat schroot chroots with a "-sbuild" suffix in the same way as
      chroots without a suffix (Closes: #360124).
    - Use the new modules Sbuild::Chroot, Sbuild::Conf and Sbuild::Log.
      The functions moved into the modules have been removed.
    - Import needed module functions into the local namespace, to avoid
      long namespace prefixes on functions.
    - Remove $main::chroot_apt_options.
    - Move $main::debug to Sbuild::Conf.
    - Import Sbuild::Conf into package "conf".  This allows the package
      name used by upstream to be used for backward compatibility.
    - Use $conf::HOME instead of $main::HOME.
    - Move $main::username to Sbuild::Conf.
    - Set $main::chroot_dir, $main::chroot_build_dir,
      $main::srcdep_lock_dir and $main::ilock_file from the current
      chroot $Sbuild::Chroot::current.  $main::srcdep_lock_dir replaces
      $conf::srcdep_lock_dir (which is still used to set when the chroot
      is set up).
    - Pass $main::distribution to open_log and open_pkg_log.
    - Remove $main::cwd, $main::nolog and $main::verbose, now provided by
      Sbuild::Conf.  They are imported from Sbuild::Conf for backward
      compatibility.
    - Remove unused $main::HOSTNAME.
    - Add build statistics to close_pkg_log.
    - Die if no maintainer_name, uploader_name or key_id is specified.
    - Set and unset $main::binNMU_name in the main loop, rather than when
      opening and closing the package log.  In consequence, open_pkg_log
      now needs the package name only, and close_pkg_log does not need
      the package name passing.
    - build:
      + Set $firstline to "" to quell a warning.
      + Use debian_files_list to check for missing or extra packages, and
        warn appropriately.
      + Delete erroneous _all.deb files (Closes: #357042).
    - Don't use File::Temp (only needed by modules).
    - Remove build directory check.
    - Use File::Basename::basename instead of Sbuild::basename.
    - Don't import internal Sbuild::Chroot functions.
    - Split verify_dsc_md5sums into two parts: dsc_md5sums and
      verify_md5sums.
    - debian_files_list: New function to parse debian/files.
  * Sbuild/Chroot.pm:
    - New perl module for chroot operations.  It contains the functions
      begin_session, end_session, log_command, get_command_internal,
      get_command, run_command, exec_command, get_apt_command_internal,
      get_apt_command and run_apt_command.
    - Don't export init and log_command.
    - Don't hardcode a list of chroots; use a glob to search for chroot-*
      instead.  This allows any distribution name to be specified with -d.
    - Add an "APT Options" attribute to the chroot hash, to replace
      $main::chroot_apt_options.
    - Use STDERR instead of PLOG (which may not be available).
    - Replace $main::debug with $Sbuild::Conf::debug.
    - Replace $main::username with $Sbuild::Conf::username.
    - begin_session takes the distribution as its first argument, rather
      than using $main::distribution.
    - Don't use $main::chroot_dir.  Add the build paths as 'Build Location',
      'Srcdep Lock Dir' and 'Install Lock' to the chroot metadata.
    - Use File::Temp.
    - Don't export "internal" functions.
    - _setup_options: Set "APT Options" for schroot chroots.
    - log_command: Don't substitute CHROOT_APT_OPTIONS when no APT options
      are in use.
  * Sbuild/Conf.pm:
    - New perl module for configuration variables.  It reads the system
      and user configuration.
    - Add $debug.
    - Add $username.
    - Add $cwd, $nolog and $verbose.  They exported and used by the other
      modules in place of the variables in the main package.
    - Add and export $avg_time_db, $avg_space_db, $maintainer_name,
      $uploader_name and $key_id.
    - Add build directory check (moved from sbuild).
  * Sbuild/Log.pm:
    - New perl module for logging.  It contains the functions open_log,
      close_log, open_pkg_log, close_pkg_log, add_time_entry,
      add_space_entry, send_mail and log_symlink.
    - $main::main_logfile and $main::pkg_logfile are package variables.
    - Removed use of $main::distribution.  The distribution name must be
      passed to open_log or open_pkg_log.
    - Don't use $main::HOSTNAME or $main::arch.  Get the values directly.
    - open_pkg_log: Save the package name for future use; the binNMU name
      (if any) is passed, so this no longer needs computing.
    - close_pkg_log:
      + Obtain $main::pkg_status, $main::pkg_start_time,
        $main::pkg_end_time and $main::this_space from the function
        arguments.
      + Don't pass the package name, which was saved in open_pkg_log.
    - add_space_entry: Use $space rather than $t, and don't use
      $main::this_space.
    - Use File::Temp.
    - Use File::Basename::basename instead of Sbuild::basename.
  * Sbuild/Utility.pm: New perl module for utility programs.  This is a
    perl replacement for bin/common_functions.
  * bin/checkchroot:
    - Quote all variables.

