## sbuild 0.50

=== debian/changelog ===
sbuild (0.50) unstable; urgency=low

  * debian/copyright: Add Alioth file download location.
  * chroot/add_sbuild_user:
    - Fix chrapt command examples in output to use correct option syntax,
      thanks to Matthias Julius (Closes: #381186).
    - Add SHELL to sudoers env_keep.
  * sbuild:
    - dsc_md5sums: Return hashref on failure, rather than -1.
    - verify_md5sums: Only run md5sum if there is one or more md5sum to
      verify, to prevent md5sum waiting forever on stdin if there are no
      files to check.  Thanks to Daniel Stone.
  * Sbuild.pm: Use new binNMU versioning scheme (+bn), taken from
    wanna-build SVN.  Thanks to Clint Adams (Closes: #384137).
  * Sbuild/Conf.pm: Check sudo does not strip SHELL from the environment.
  * sbuild-setup.7.in: Document needed addition of SHELL to sudoers
    env_keep (Closes: #389815).

 -- Roger Leigh <rleigh@debian.org>  Fri, 29 Sep 2006 14:08:11 +0100

sbuild (0.49) unstable; urgency=low

  * Sbuild/Conf.pm: init checks if APT_CONFIG and DEBIAN_FRONTEND are
    being stripped from the environment by sudo (when running in split
    mode), and aborts with instructions for correctly configuring sudo.
    This prevents apt-get silently using the configuration from the host
    system instead of the chroot.
  * Sbuild/Chroot.pm: When running in split mode, use the -s option of
    su to set the shell used inside the chroot to /bin/sh.  This
    ensures that a valid shell is always used when the $SHELL is not
    available inside the chroot (Closes: 378283).
  * sbuild.conf, sbuild.conf.local, update-sourcedeps, sbuild.1.in,
    avg-pkg-build-time.1.in: Update to use the new configuration file
    locations.

 -- Roger Leigh <rleigh@debian.org>  Sat, 15 Jul 2006 23:42:09 +0100

sbuild (0.48) unstable; urgency=low

  * Sbuild/Chroot.pm: Use su, rather than sudo, inside the chroot.  This
    prevents the APT_CONFIG and DEBCONF_FRONTEND environment variables
    from being removed (Closes: #376020).
  * Sbuild/Conf.pm: Add $Sbuild::Conf::su.
  * sbuild-setup.7.in: Remove sudo configuration inside the chroot, now
    this is no longer required.

 -- Roger Leigh <rleigh@debian.org>  Sun,  9 Jul 2006 18:18:33 +0100

sbuild (0.47) unstable; urgency=low

  * bin/checkchroot: Correct uninitialised value warnings due to using an
    undefined variable (Closes: #369709).
  * bin/chrapt, bin/updatechroot, bin/upgradechroot: When chroot_mode is
    "schroot", chdir to / to ensure the CWD exists inside the chroot.
    Thanks for Clint Adams for finding this (Closes: #372806).
  * sbuild: fetch_source_files: When running apt-cache, check if we got
    valid output, and warn appropriately if the output is invalid
    (Closes: #369707).  Output may be invalid if there are no deb-src
    lines in /etc/apt/sources.list in the chroot.
  * Sbuild/Conf.pm: Remove $Sbuild::Conf::log_dir checks.
  * Sbuild/Log.pm.in: If $Sbuild::Conf::log_dir does not exist, try to
    create it, and if this fails, warn and log to stdout
    (Closes: #369718).

 -- Roger Leigh <rleigh@debian.org>  Sat, 17 Jun 2006 12:04:36 +0100

sbuild (0.46) unstable; urgency=low

  * sbuild:
    - fetch_source_files: Only print "apt-get update" invocation in debug
      mode.
    - get_dpkg_status: Make sure $version is defined before checking its
      value, to ensure the Debian version can have a value of 0.  Thanks
      to Santiago Vila for this fix (Closes: #368066).
  * Update svn::ignore properties to ignore generated files.
  * debian/control:
    - Update to Standards-Version 3.7.2.
    - Use Build-Depends, rather than Build-Depends-Indep.

 -- Roger Leigh <rleigh@debian.org>  Sat, 27 May 2006 15:22:02 +0100

sbuild (0.45) unstable; urgency=low

  * bin/checkchroot:
    - Check if the dpkg and reference files contained any data, and exit
      with an error if either were empty (Closes: #363351).
    - On error, use Sbuild::Utility::shutdown to clean up.
  * bin/chr-hold, bin/chr-unhold: On error, use Sbuild::Utility::shutdown
    to clean up.
  * sbuild:
    - build: Only print dpkg-buildpackage invocation in debug mode.
    - uninstall_debs: Only print dpkg invocation in debug mode.
  * debian/control: Update to Standards-Version 3.7.0.

 -- Roger Leigh <rleigh@debian.org>  Mon,  1 May 2006 09:48:20 +0100
