=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Roger Leigh <rleigh@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends-Indep: debhelper (>> 4.0.0)
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: sbuild
 Architecture: all
