## sbuild 0.56

=== debian/changelog ===
sbuild (0.56) unstable; urgency=low

  * sbuild
    - Fix --force-orig-source option which was renamed to
      --force_orig_source while rewriting the options parsing logic to use
      Getopt::Long (Closes: #428205).  Thanks to Alec Berryman for
      reporting this regression.
    - Accept arguments for options requiring a string (Closes: #431216).
      Thanks to Anders Kaseorg for the patch for this regression.
  * debian/preinst: Use dpkg-query in place of /var/lib/dpkg/status.

 -- Roger Leigh <rleigh@debian.org>  Sat, 07 Jul 2007 20:36:35 +0100

sbuild (0.55) unstable; urgency=low

  * sbuild:
    - Parse options with Getopt::Long.
    - Remove trailing whitespace.
    - Initialise $main::sub_task with a value, in case the build gets
      terminated prior to it being used.
    - Change the position of begin_session, so that it matches the cleanup
      order on shutdown.
    - build:
      + Document the regex which strips the epoch from the version
        number.
      + Remove the call to setsid when forking dpkg-buildpackage, because
        this broke shell job control.  Some packages might possibly hang
        while building if they detect they have a controlling terminal, but
        IMO this is a bug in the package.
      + When handling the timeout for dpkg-buildpackage, make the $SIG{'ALRM'}
        handler local, so that it is restored to the default once the build
        has finished.
      + When calling mv to move files, use -f to make sure it doesn't run
        interactively.
    - check_dependencies: If a toolchain package is missing, print a
      "not installed" message, rather than a blank version.
    - dsc_md5sums: Log failure to open the .dsc.
    - fetch_source_files: Strip the epoch of the version number, so that
      $dscbase matches the .dsc filename in the filesystem (Closes: #425715).
      Thanks to Lucas Nussbaum.
    - merge_pkg_build_deps: Replace references to "central" src deps with
      build-essential deps.
    - parse_manual_srcdeps: New function, to replace the addition of manual
      source dependencies from the removed read_deps() function.
    - shutdown: Call end_session to clean up the chroot.
  * Sbuild/Chroot.pm:
    - end_session:
      + Add a debugging message.
      + Clear $schroot_session.
  * Sbuild/Conf.pm: Add linux-libc-dev, gnumach-dev, hurd-dev and
    kfreebsd-kernel-headers to @toolchain_regex.  Thanks to Clint Adams
    (Closes: #425855).
  * Sbuild/Log.pm.in:
    - Remove trailing whitespace.
    - open_log, open_pkg_log: Ignore SIGINT, SIGQUIT, SIGTERM and SIGPIPE
      in the logger processes, so that logging continues if the process
      group is signalled to terminate.  They will exit when the group leader
      exits or closes the pipe.
  * debian/changelog: Fix missing colon in bug closure for revision 0.2.4.
  * debian/compat: New file.  Set to debhelper compatibility level 5.
  * debian/control: Depend on debhelper v5.
  * debian/NEWS: Renamed from debian/NEWS.Debian (Closes: #425370).
    Thanks to Lucas Nussbaum for spotting this.
  * debian/rules: Remove DH_COMPAT.

 -- Roger Leigh <rleigh@debian.org>  Mon, 28 May 2007 00:38:46 +0100

sbuild (0.54) unstable; urgency=low

  * debian/control:
    - Remove sudo from Depends.
    - Add schroot to Depends.
    - Remove schroot from Recommends.
    - Depend on dctrl-tools rather than the transitional grep-dctrl package.
      Thanks to Jonh Wendell (Closes: #417573).
  * debian/rules:
    - Don't install sbuild.conf.local.
    - Install sbuild.conf into /etc/sbuild.
  * debian/NEWS.Debian:
    - New file.
    - Document removal of manual source dependencies and sudo.
    - Document removal of support for building from a directory.
    - Document removal of building on the host system.
    - Document sudo->schroot migration.
    - Document change in $sbuild_mode default.
  * debian/README.Debian:
    - Document removal of manual src-deps.
    - Remove requirements for chroot symlinks in working directory.
  * sbuild:
    - Remove read_deps, so manual src-deps are no longer read.  The
      remainder of the manual src-deps support remains to be removed.
    - Quote all arguments to system commands such as "rm -rf", to prevent
      potential disasters.
    - Update copyrights, and encode in UTF-8.
    - Use "du -k -s" instead of "du -s" to increase portability.  Thanks to
      Martin Koeppe (Closes: #418061).
    - Compute package, version, directory and whether to download sources
      before calling fetch_source_files, because all the needed information
      is available at this point.
    - cleanup_packages:
      + Remove check for schroot when removing build dependencies, since
        schroot is the default.
      + Remove undo_specials().
    - build:
      + Remove do_apply_patches.
      + Replace "822-date" with "date -R".  Thanks to Guillem Jover for
        this patch (Closes: #415798).
      + Remove support for building from a directory.
      + Run dpkg-source from within the chroot.
      + Don't chdir before running dpkg-source.
      + Don't chdir before running dpkg-parsechangelog (do it in the
        schroot child process).
      + Remove obsolete code for running dpkg-buildpackage outside a chroot.
    - fetch_source_files:
      + Remove support for building from a directory.
      + Download sources directly into the chroot build directory.  For
        sources already existing outside the chroot, copy them into the
        chroot build directory.
      + Add extra directory, package, version and download arguments.
      + Only call dsc_md5sums once, rather than twice.
    - apply_patches: Remove.
    - get_special: Remove use of @main::global_patches.
    - Remove SVN Id:.
    - install_deps: Remove @special use.
    - unpack_special_source: Remove.
    - undo_specials: Remove.
    - filter_dependencies: Remove @special use.
    - run_script: Remove.
    - parse_one_srcdep: Remove @special use.
    - get_special: Remove.

