=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Roger Leigh <rleigh@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>> 4.0.0)
+Build-Depends: debhelper (>> 5.0.0)
 Standards-Version: 3.7.2
 
 Package: sbuild
 Architecture: all
-Depends: ${perl:Depends}, perl-modules, adduser, apt, exim4 | mail-transport-agent, sudo, dpkg-dev, grep-dctrl
-Recommends: fakeroot, debootstrap, schroot (>= 0.2.7)
+Depends: ${perl:Depends}, perl-modules, adduser, apt, exim4 | mail-transport-agent, dpkg-dev, dctrl-tools, schroot (>= 1.0.0)
+Recommends: fakeroot, debootstrap
 Suggests: wget, deborphan
 Description: Tool for building Debian binary packages from Debian sources
  sbuild is part of a suite of programs -- consisting of
