=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 	avg-pkg-build-time.1	\
 	sbuild.1		\
 	sbuild-setup.7		\
-	update-sourcedeps.1	\
 	Sbuild/Log.pm
 
 %: %.in
@@ -20,9 +19,6 @@
 
 INSTALL=/usr/bin/install
 DESTDIR=$(CURDIR)/debian/sbuild
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
@@ -49,7 +45,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(INSTALL) -m 755 sbuild update-sourcedeps avg-pkg-build-time \
+	$(INSTALL) -m 755 sbuild avg-pkg-build-time \
 		$(DESTDIR)/usr/bin/
 	$(INSTALL) -m 644 Sbuild.pm $(DESTDIR)/usr/share/perl5/
 	$(INSTALL) -m 644 Sbuild/Chroot.pm $(DESTDIR)/usr/share/perl5/Sbuild/Chroot.pm
@@ -57,8 +53,7 @@
 	$(INSTALL) -m 644 Sbuild/Log.pm $(DESTDIR)/usr/share/perl5/Sbuild/Log.pm
 	$(INSTALL) -m 644 Sbuild/Utility.pm $(DESTDIR)/usr/share/perl5/Sbuild/Utility.pm
 	ln -s avg-pkg-build-time $(DESTDIR)/usr/bin/avg-pkg-build-space
-	$(INSTALL) -m 644 sbuild.conf $(DESTDIR)/usr/share/sbuild/
-	$(INSTALL) -m 644 sbuild.conf.local $(DESTDIR)/etc/sbuild/sbuild.conf
+	$(INSTALL) -m 644 sbuild.conf $(DESTDIR)/etc/sbuild/sbuild.conf
 
 	cp -a configs example.sbuildrc $(DESTDIR)/usr/share/doc/sbuild/examples/.
 	find bin -maxdepth 1 -type f -exec cp {} $(DESTDIR)/usr/share/sbuild/ \;
